Android 动态生成控件

关于动态生成安卓界面控件并传入点击事件 动态生成界面其实不难,主要方法写在fill view中,这是一个自定义的方法,参数大家可以自行修改,这里我用到的是传了一个数据库中的list 对象。为了判定是哪个图片点击,设置了一个tag 属性,代码简答自行理解,不懂的可以留言。每一小项的布局文件:zitaiomu.xml<LinearLayout xmlns:android="http://schemas.android.com/apk/... 阅读详情
动态生成界面的方法很简单
首先要却这个界面的布局,是AbsoluteLayout,RelativeLayout还是其他,然后就可以再里面添加控件了:
public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //确定界面的布局
        AbsoluteLayout abslayout=new AbsoluteLayout (this);
        setContentView(abslayout);
        //创建一个button按钮
        Button  btn1 = new Button(this);
        btn1.setText(\"this is a button\");
        btn1.setId(1);
        //确定这个控件的大小和位置
       AbsoluteLayout.LayoutParams lp1 = 
                                 new AbsoluteLayout.LayoutParams(
                                      ViewGroup.LayoutParams.WRAP_CONTENT,
                                      ViewGroup.LayoutParams.WRAP_CONTENT,
                                      0,100);
      abslayout.addView(btn1, lp1 );

}
一个界面可以布置一个布局,可以多个布局一起设计:
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        //设置界面的布局
        RelativeLayout relativeLayout = new RelativeLayout(this);
        setContentView(relativeLayout);
        
        //添加一个AbsoluteLayout子布局,并给这个布局添加一个button
        AbsoluteLayout abslayout=new AbsoluteLayout (this);
        abslayout.setId(11);
        Button  btn1 = new Button(this);
        btn1.setText(\"this is a abslayout button\");
        btn1.setId(1);
        AbsoluteLayout.LayoutParams lp0 = new AbsoluteLayout.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT,
                                                                          ViewGroup.LayoutParams.WRAP_CONTENT,100,0);
        abslayout.addView(btn1, lp0 );
        //将这个子布局添加到主布局中
        RelativeLayout.LayoutParams lp1 = new RelativeLayout.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.WRAP_CONTENT);
        lp1.addRule(RelativeLayout.ALIGN_PARENT_TOP);
        lp1.addRule(RelativeLayout.CENTER_HORIZONTAL, RelativeLayout.TRUE);
        relativeLayout.addView(abslayout ,lp1);
        
        //再添加一个子布局
        RelativeLayout relativeLayout1 = new RelativeLayout(this);
        Button  btn2 = new Button(this);
        btn2.setText(\"this is a relativeLayout1 button\");
        btn2.setId(2);
        RelativeLayout.LayoutParams lp2 = new RelativeLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT);
        lp2.addRule(RelativeLayout.ALIGN_PARENT_TOP);
        lp2.addRule(RelativeLayout.CENTER_HORIZONTAL, RelativeLayout.TRUE);
        relativeLayout1.addView(btn2 ,lp2);
        
        //将这个布局添加到主布局中
        RelativeLayout.LayoutParams lp11 = new RelativeLayout.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.WRAP_CONTENT);
        lp11.addRule(RelativeLayout.BELOW ,11);
        relativeLayout.addView(relativeLayout1 ,lp11);
}

android实现动态生成控件(setTag和getTag属性的用法) 哈喽大家好! 这次给大家分享出安卓里面如何动态生成控件 这里有用到模拟数据库生成一些对象来进行取值和赋值 那么首先你得要有一个类 这里就用员工Employee类Employee作为一个小案例来写了 阅读详情

相关推荐

Android 动态生成多个控件并实现点击

Android 动态生成多个控件并实现点击

android开发笔记 动态生成控件

动态生成界面的方法很简单 首先要却这个界面的布局,是AbsoluteLayout,RelativeLayout还是其他,然后就可以再里面添加控件了: public void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); //确定界面的布局 AbsoluteLayout abslayout=new AbsoluteLayout (this); setContentView(abslayout);

攻城狮的物联网基地 1764

android动态生成控件的一个实例

实例包括动态生成按钮,实例完整可运行,基于安卓4.0及以上,可参考学习!

Android动态添加和删除控件/布局

该博客介绍了Android开发中动态增加和删除控件/布局的简单方法

飞机火车巴雷特的博客 9850

android 程序中动态添加删除控件或布局

android 程序中动态添加删除控件或布局,设置大小,位置

安卓 动态添加控件,自定义的或代码实现

动态添加控件,自定义的或代码实现,适合学习

简析Android 动态添加控件的几种方式

在某些情况下我们会有让用户自行添加控件的需求,本文主要通过addView来实现 1.addView 首先让我们来看一下源码 void android.view.ViewGroup.addView(View child); void android.view.ViewGroup.addView(View child, LayoutParams params); void android.vi...

qq_39330066的博客 5453

java代码动态生成控件

java代码动态生成控件,代码比较简单,界面也相对比较单调,不过如何通过代码动态生成控件等,写的很明确。

安卓简单控件(TextView、Button、布局、ScrollView、ImageView、ImageButton)

关于TextView、Button、常用布局、ScrollView、ImageView以及ImageButton的简单解说以及使用代码实例

weixin_42369301的博客 1100

Frida精准定位Shopee x-sap-ri动态签名生成函数

x-sap-ri是Shopee客户端生成的上下文感知型动态令牌,本质为基于设备标识、请求路径与毫秒级时间戳三元组的SHA256哈希值,经Base64编码后作为防重放与防批量伪造的核心校验字段。其生成逻辑深度混淆且跨Java/Native层,静态分析失效,而Frida凭借内存级函数调用拦截与JNI层穿透能力,成为唯一可行的技术路径。本文聚焦Frida在加固App中的实战适配——通过libcrypto.so API特征扫描反向定位被抹名的生成函数,实现对x-sap-ri输入参数(如16字节device_id加密

weixin_33978578的博客 610

Android11 关于三方应用获取su权限

SELinux,全称Security-Enhanced Linux,是一种基于Linux内核的安全机制。它通过强制访问控制(MAC)来增强Linux系统的安全性,如果不禁用SELinux,完成下面的修改可能会导致设备进入Recovery界面!adb shell getenforce 为Permissive(宽容模式),查看报错日志,发现是客户apk想使用su命令提权,但是没有权限!对于保护系统资源和防止未经授权访问非常有帮助!系统这边做修改,让su权限下放到三方应用.客户的apk运行报错。

sinat_37429535的博客 1901

android动态控件遮挡,Android动态生成控件

MainActivity:public class MainActivity extends AppCompatActivity {private final int WC = ViewGroup.LayoutParams.WRAP_CONTENT;private final int MP = ViewGroup.LayoutParams.MATCH_PARENT;private EditText...

weixin_35433930的博客 194

qq邮箱发错误:The “From“ header is missing or invalid. Please follow RFC5322, RFC2047, RFC822 standard pro

如果还报错 (550, b’The mail may contain inappropriate words or content.'),可能是你message[‘From’]中的< senderxxx@qq.com >发送邮箱填错了,必须要和self.sender = ’ senderxxx@qq.com '一样。可能是之前qq邮箱发送协议存在漏洞,可隐藏发送者邮箱。现在换了新协议,导致与原来协议规则、编码出现了一些问题。"python自动发送""python自动发送"

云霄IT的博客 3670

Android动态生成控件

技术点总结:首先在layout的界面xml文件中,设置LinearLayout容器内容显示格式,然后自定义类(ReserveOrderDetail)将获取到的数据,添加到序列化列表List<ReserveOrderDetail> orderDetails列表中,然后将orderDetails数据给到类(ReserveOrderDetail)对象orderDetail1,再通过orderDetail1即可变量遍历出来,再将数据设置到指定的layout中,然后逐一设置到动态生成容器当中即可完成动态生

qq_41979469的博客 614

云效 CI/CD + 阿里云 OSS 自动部署前端项目实战指南(2026)

前端项目部署到 OSS + CDN 是阿里云生态中最常见的静态站点托管方案。手动上传 OSS,容易遗漏文件或部署错版本权限配置不当,要么过宽(全桶读写)要么报 403CDN 缓存没刷新,用户看到的还是旧版本多环境(dev/test/pro)流水线重复配置本文基于实际生产环境经验,完整覆盖从 RAM 权限 → OSS 配置 → CDN 加速 → 云效流水线的全链路,含两种授权方案对比和踩坑记录。一套可直接复用的 RAM 最小权限策略两种云效授权方案的完整配置步骤。

探索云原生与智能化驱动下的安全运维新范式。关注DevSecOps、可观测性、AIOps等前沿领域,与您共赴技术前沿。 428

PCL 动态半径滤波【2025最新版】

使用PCL实现的2022年最新SCI论文——【Design of Dust-Filtering Algorithms for LiDAR Sensors Using Intensity and Range Information in Off-Road Vehicles】 一文中提出用于自动驾驶点云剔除粉尘、雨雪等影响因素导致的噪声点滤波算法。

点云侠的博客 1473

android动态生成控件

android动态生成控件 方法:调用布局容器的addview,addview需传入的参数就是你想放置的view 这里给出一个例子 final LinearLayout layout = new LinearLayout(this); layout.setOrientation(LinearLayout.VERTICAL); setContentView(layout);//将layout作为布局...

qq_38594513的博客 1415

MediaPipe 教程:从安装到应用-全网最全

MediaPipe是Google推出的开源框架,专为构建机器学习管道设计,可以高效处理视频、音频等时间序列数据。本文教程从安装到应用逐步讲解: 安装步骤简单,只需通过pip安装mediapipe包并验证版本; 重点演示人体姿态检测功能,可识别33个身体关键点; 提供基础代码实现,包括视频捕获、关键点检测与可视化; 强调模块化开发,将功能封装成类以提高代码复用性。 教程适合初学者,通过清晰指引和实用代码示例,帮助快速实现计算机视觉应用。

FJN110的博客 1563

android开发(5) 动态生成控件

我们以前的几个例子中都是直接使用设计器来制作的表单视图,实际在开发中经常会遇到使用代码来动态的添加控件到视图中。一般情况下的步骤是: 1.生成一个控件,比如new Button。 2.设置控件的各种属性,比如 设置某个Button的显示文字,绑定事件等。 3.将这个控件追加到一个容器控件中,作为这个容器控件的子控件。比如:view.AddView(...). 4.在追加的父控件内时,可以指

张云飞Vir的专栏 487

全网最强AI辅助课题申报教程!超详细流程拆解,助你快速提高课题申报成功率(附各部分高效提示词)

实验法要详细说明自变量、因变量、实验类型、实验过程、实验步骤、测量工具名称、被试取样方式、无关变量控制方法。这个部分就是让评审专家相信我们有能力把这个项目干成,写的时候要重点突出两块内容:第一是研究基础,包括你或团队在相关领域已有的研究成果,比如发表的论文、承担过的课题、获得过的奖励、相关研究经验等,要具体、有说服力;课题申报专门给我们留了一小节用来突出课题的创新之处,不管是研究角度、研究对象、研究方法,还是应用价值都可以提炼作为我们的创新点,最后的语气成果也要明确具体,且要和课题内容紧密相关。

智能AI让学术科研更容易 665

【雕爷学编程】Arduino动手做(75)---TTL转RS-485模块之二线制可以实现真正的多点双向通信

37款传感器与执行器的提法,在网络上广泛流传,其实Arduino能够兼容的传感器模块肯定是不止这37种的。鉴于本人手头积累了一些传感器和执行器模块,依照实践出真知(一定要动手做)的理念,以学习和交流为目的,这里准备逐一动手尝试系列实验,不管成功(程序走通)与否,都会记录下来---小小的进步或是搞不掂的问题,希望能够抛砖引玉。 【Arduino】168种传感器模块系列实验(资料代码+仿真编程+图形编程) 实验七十五:TTL转RS-485模块 MAX485 RS485模块 MAX485 是一个8.

雕爷学编程 1万+

Android动态生成控件如何取值

界面少控件的情况的下,我们往往采用在xml布局文件里面写页面代码。可遇到十几个输入框或者十几个点选按钮时候,我们就需要考虑动态生成控件的方法了。控件动态生成容易,但是控制这些控件的取值和赋值则没那么容易。我们需要掌握一些规律。下面就拿RadioGroup点选按钮组来举例说明吧。 首先要在页面上生成一个动态的直线布局对象LinearLayout  layoutmain=new LinearLayo

ywhlhy88的专栏 1771

WINCC7.3破解文件

WINCC7.3硬件够破解文件,有需要的下载!WINCC7.3硬件够破解文件,有需要的下载!

Android第二课--动态生成控件

首届 Google 暑期大学生博客分享大赛——2010 Andriod 篇 上一篇是一个layout xml文件和一个java文件配合展现了一个页面,我们知道的ASP.NET中可以在后台动态生成控件,那么在Android中也可以,都是面向对象的架构嘛。我们在上一次代码的基础上添加一些新内容:   Code highlighting produced by Actipro CodeHigh

华夏35度 421

最新的sdio 4.0 spec 协议标准 带书签 高清完整PDF版

Part-E1-SDIO-Specification-Ver4.00-Final-120220.pdf:最新的sdio 4.0 spec 协议标准 带书签 高清完整PDF版,包括SDIO 接口的外设,SDIO 接口官方协议等。

温度PID控制PLC程序

温度PID稳定控制程序,适用于欧姆龙PLC,对其他PLC也具有很大参考价值

上一篇: Android开发窗口实现半透明效果
下一篇: 5个html5的安全性问题
shareCode
博客等级 码龄15年 125粉丝 40原创
评论
成就一亿技术人!
拼手气红包6.0元
还能输入1000个字符
 
 条评论被折叠 查看
添加红包

请填写红包祝福语或标题

个

红包个数最小为10个

元

红包金额最低5元

当前余额3.43元 前往充值 >
需支付:10.00元
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值